Subject: Re: linux-next: build failure after merge of the xfs tree

From: Christoph Hellwig <[email-masked]>
Date: Tue, 29 Oct 2019 07:32:24 +0100

On Tue, Oct 29, 2019 at 05:23:51PM +1100, Stephen Rothwell wrote:
> Hi Christoph,
> 
> On Tue, 29 Oct 2019 06:56:05 +0100 Christoph Hellwig <[email-masked]> wrote:
> >
> > On Mon, Oct 28, 2019 at 04:18:06PM -0700, Darrick J. Wong wrote:
> > > On Tue, Oct 29, 2019 at 10:11:51AM +1100, Stephen Rothwell wrote:  
> > > > Hi all,
> > > > 
> > > > After merging the xfs tree, today's linux-next build (powerpc
> > > > ppc64_defconfig) failed like this:  
> > > 
> > > <groan> Yeah, that's the same thing reported by the kbuild robot an hour
> > > ago.  FWIW I pushed a fixed branch but I guess it's too late for today,
> > > oh well....
> > > 
> > > ...the root cause of course was the stray '}' in one of the commits,
> > > that I didn't catch because compat ioctls are hard. :(  
> > 
> > Weird.  My usual builds have compat ioclts enabled, and I never got
> > any report like this.
> 
> It only fails for !(defined(CONFIG_IA64) || defined(CONFIG_X86_64))
> I reported it failing in my powerpc build.

Oh, ok.  I actually see your report now as well, which for some reason
got sorted into my spam folder.